[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Calendar' (#lcl)

# EInvalidDate

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

Exception raised for an invalid date in the calendar control.

## Declaration

Source position: calendar.pp line 74

`type EInvalidDate = class(Exception)`

## Inheritance

`EInvalidDate` |  | Exception raised for an invalid date in the calendar control.
`Exception`
?
`TObject`

## Description

EInvalidDate is an exception raised when a invalid date is selected in a calendar control.

## See also

TCustomCalendar.DateTime |  | Native data type used for a date value on the calendar control.
TCustomCalendar.MinDate |  | Smallest date value that can entered or selected using the calendar control.
TCustomCalendar.MaxDate |  | Largest date value that can entered or selected using the calendar control.